Bug 973992 - [EAP610 development guide translation to Japanese] 15.8. Configure Kerberos or Microsoft Active Directory Desktop SSO for Web Applications
Summary: [EAP610 development guide translation to Japanese] 15.8. Configure Kerberos o...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Localization   
(Show other bugs)
Version: 6.1.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: jito
QA Contact: Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 08:46 UTC by Hisanobu Okuda
Modified: 2013-06-19 00:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.10 Build Name: 11864, Development Guide-6.1-3 Build Date: 23-05-2013 03:02:03 Topic ID: 31447-441816 [Specified]
Last Closed: 2013-06-19 00:45:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hisanobu Okuda 2013-06-13 08:46:12 UTC
Title: Web アプリケーションに対して Kerberos または Microsoft Active Directory のデスクトップ SSO を設定する

Describe the issue:
1)
 セキュリティードメインは、管理ドメインの各プロファイルまたは各スタンドアローンサーバーに対して中心的に設定されます。セキュリティードメインはデプロイメントの一部ではありません。デプロイメントが使用する必要のあるセキュリティードメインは、デプロイメントの jboss-web.xml または jboss-ejb3.xml ファイルに名前が指定されています。
セキュリティープロパティーは、中央設定の一部分、キュリティードメインの一部として設定されます。デプロイメントの一部ではありません。 

2)
最初のセキュリティードメインは、コンテナ自体をディレクトリーサービスへ認証します。真のユーザーは関与しないため、あるタイプの静的ログインメカニズムを許可するログインモジュールを使用する必要があります。

Suggestions for improvement:
1)
「中心的に設定されます」「中央設定の一部分」は意味がわかりません。原文の "centrally", "central" は設定ファイルが単一で一元的に管理される、ということを指しているものと思われますが、ここだけ読むと説明不足で意図が不明瞭です。日本語訳ではあえて省略して「設定されます」「設定の一部分」でよいかもしれません。

2)
最初のセキュリティードメインは、コンテナ自体をディレクトリーサービスへ認証します。ユーザーではなくコンテナ自体の認証であるため、ある種の静的ログインメカニズムを受容するログインモジュールを使用する必要があります。


Additional information:

Comment 1 jito 2013-06-18 00:28:51 UTC
Will be fixed in 6.0, as 6.1 has not been published.  Also, the correct chapter for this topic is 14.8.

Comment 2 jito 2013-06-18 01:17:58 UTC
Corrections made in accordance with the suggestions.  Will be fixed in the next release.

Comment 3 jito 2013-06-18 01:50:45 UTC
The same corrections made for 6.1, which has not been published.

Comment 4 jito 2013-06-18 05:26:36 UTC
Bugzilla raised for the usage of "central configuration" and "configured centrally":

https://bugzilla.redhat.com/show_bug.cgi?id=975321


Note You need to log in before you can comment on or make changes to this bug.